package com.duiba.tuia.youtui.web.model.req;

import io.swagger.annotations.ApiModel;

import javax.validation.constraints.NotNull;

/**
 * ClassName: ActivityOptionReq <br/>
 * Function: 活动配置请求参数. <br/>
 * date: 2017年2月7日 下午4:42:56 <br/>
 *
 * @author wubo
 * @version
 * @since JDK 1.7
 */
@ApiModel
public class ActivityOptionReq {

    /** 活动ID. */
    @NotNull(message = "活动ID不可为空")
    private Long activityId;

    /** The slot id. */
    private Long slotId;

    /** 用户 id. */
    private Long consumerId;

    /** The app id. */
    private Long    appId;

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Long getSlotId() {
        return slotId;
    }

    public void setSlotId(Long slotId) {
        this.slotId = slotId;
    }

    public Long getConsumerId() {
        return consumerId;
    }

    public void setConsumerId(Long consumerId) {
        this.consumerId = consumerId;
    }

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }
}
